Description

hello,

two ideas:

1.

It would be useful, if i can toggle between "select all" and "unselect all" layers in the snapping optionsdialog

2.

If there are no changes in the options, the "Apply" button should be not active. Only if there are changes the "Apply" Button should be

active

(i change often the options and i don't close the dialog, sometimes i forget to click "Apply", because there are no hints)

jan

History

#1 - 2014-07-10 04:45 AM - Tobias Schneider

I agree that some improvements could be made to snapping. I also think that it should have a icon in the editing toolbar.

#2 - 2014-07-10 05:02 AM - Giovanni Manghi

- Category changed from Digitising to GUI

- Target version changed from Future Release - High Priority to Future Release - Nice to have

#3 - 2015-06-18 03:20 AM - Jon Pine

Being able to "select/Deselect" all with the advnaced snapping otions would be a massive help, I have hundreds of layers in some of our projects and

unselecting them individually takes time

#4 - 2015-06-18 03:52 AM - Nathan Woodrow

- Assignee set to Nathan Woodrow

- Category changed from GUI to Digitising

I will have a look at this for the next release after 2.10

#5 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
#6 - 2017-12-10 02:43 PM - Jan Lippmann

- Assignee changed from Nathan Woodrow to Matthias Kuhn

since snapping options moved to the project menu, the handling is much better, but toggle between "select all" and "unselect all" is only possible if i have

all layer in one layergroup.

@Matthias Kuhn: what do you think about this idea?

#7 - 2017-12-12 12:05 PM - Matthias Kuhn

- Description updated

What is the difference between deselect all and deactivating the tool?

#8 - 2017-12-13 09:34 PM - Jan Lippmann

- File layer_panel.png added

use case:

i have a qgis project with ton's (100+) of layers and for 20 layers snapping is active and next i want change the layer with active snapping to  15 other

layers. 

this is now only possible if i toggle every layer off and i have to take care that i do not forget to deactivate a layer in the large layerlist.

toggling could be like in the layer panel (Show All Layers, Hide All Layers). "Snapping Themes" is my wish for QGIS 4.0 ;-)

layer_panel.png

#9 - 2017-12-18 03:53 PM - Matthias Kuhn

Ok, sounds good.

R.e. snapping themes... would that be "a snapping preset per layer", "multiple snapping presets per layer" or "several snapping presets available for all

layers". I have often thought about the first one, but possibly you are thinking now about 2 or 3?

#10 - 2017-12-20 09:30 PM - Jan Lippmann

Matthias Kuhn wrote:

Ok, sounds good.

R.e. snapping themes... would that be "a snapping preset per layer", "multiple snapping presets per layer" or "several snapping presets available for

all layers". I have often thought about the first one, but possibly you are thinking now about 2 or 3?

hello matthias,

thanks for your feedback! if you mean with "multiple snapping presets per layer" , that i can create:

    1. a snapping theme where snapping is active for a layer (or more layer) with vertex snapping and

    2. a snapping theme where snapping is active for the same layer (or more layer) with vertex+segment snapping and
    3. a snapping theme where snapping is active for the same layer (or more layer) with segment snapping

then i prefer 2

#11 - 2017-12-21 09:28 AM - Harrissou Santanna

I thought of it like a sub-item of the advanced dialog and map theme would behave here like a preset visibility: toggle check status of the layers according

to their visibility in the selected map theme. Then user can precise whether the snapping is by vertex and/or segment. One snapping mode per layer in the

map theme should be enough imho. All this saved of course.

Maybe we could also allow creation of map themes from this dialog. Wonder however if it would confuse users...

The map themes can be listed in:

    -  the drop-down list in the toolbar (with "active layer", "layers" and "advanced"), maybe separated by a line

    -  and in a drop-down list at the bottom of the "advanced config" dialog to help switch

Hoping that i'm not that far from your ideas...
